spatialLayout {arrayMagic} | R Documentation

## Calculation of two dimensional coordinates

### Description

All `value`s are mapped on a matrix representing the the spatial layout defined by the function arguments, mainly by `row`, `column` and `block`. The result can be visualised with the function `plot.imageMatrix`.

### Usage

    spatialLayout(value, row, col, block, numberOfValues, nrOfBlocksPerRow = 4, mapping = 0, nrRow, nrCol)

### Arguments

`value` | numeric vector; required; default: missing
`row` | integer vector; required; default: missing
`col` | integer vector; required; default: missing
`block` | integer vector; required; default: missing
`numberOfValues` | integer; optional; default: missing. The argument `numberOfValues` may be used if not all values for all coordinates are passed to the function. An additional consistency check is offered.
`nrOfBlocksPerRow` | integer; required; default: 4. Useful if there is a block structured layout with columns and rows assigned within each block as common for microarrays. See examples for a simple case with only one block.
`mapping` | integer; either zero or one; default: zero, Mapping toggles between counting blocks "by row" or "by column". Zero corresponds to "ScanAlyze" and "GenePix", i.e. counting blocks "by row".
`nrRow` | integer; optional; default: missing. The argument `nrRow` (number of rows per block) may be used to supersede `max(row)` which is calculated automatically.
`nrCol` | integer; optional; default: missing. The argument `nrCol` (number of columns per block) may be used to supersede `max(col)` which is calculated automatically.

### Value

A matrix representing the spatial layout of all `value`s. The matrix is labelled as class `imageMatrix` and `matrix`.

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`plot.imageMatrix`

### Examples

     value <- rep(c(1,rep(0,49)),10)
     block <- as.integer(gl(10,50))
     col <- rep(c(1:10),50)
     row <- rep(as.integer(gl(5,10)),10)
     sL <- spatialLayout(value=value,row=row,col=col,block=block,nrOfBlocksPerRow=2)
     plot.imageMatrix(sL)
     value <- value[-(201:250)]
     block <- block[-(201:250)]
     col <- col[-(201:250)]
     row <- row[-(201:250)]
     sL <- spatialLayout(value=value,row=row,col=col,block=block,nrOfBlocksPerRow=2,numberOfValues=500)
     plot.imageMatrix(sL)

     value <- 1:200
     block <- rep(1, 200)
     col <- rep(1:20, 10)
     row <- as.integer(gl(10,20))
     sLOne <- spatialLayout(value=value,block=block,col=col,row=row,nrOfBlocksPerRow=1)

[Package arrayMagic version 1.14.0 Index]